=== debian/changelog ===
ros-ardent-rviz-rendering-tests (2.0.0-5xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- William Woodall <william@osrfoundation.org>  Sat, 09 Dec 2017 09:13:39 -0000
